﻿
/* 
    Telerik Grid Column Menu 

    - The Column Chooser Menu with the style we are currently using has some strange error with it incorrectly calculating its items widths with the padding assigned to it in the theme.
      We reduce the padding here to avoid labels being underneath checkboxes.
*/
.k-columnmenu-item-content .k-column-list-item {
    padding-left: 1.5rem !important;
}

.k-column-chooser-title, .k-column-list-item {
    padding-right: 1.5rem !important;
}

.k-tooltip {
    opacity: .9
}

div.k-tooltip .k-callout {
    opacity: .9
}

.tooltip-wrap .k-tooltip-content {
    white-space: pre-wrap;
}

.no-headers-grid .k-grid-header {
    display: none;
}

.dropdown-truncate .k-input-inner {
    width: 0px; /* HACK: Makes the dropdown text truncate if it is too large for its container. */
}

.dropdown-truncate .k-input-value-text {
    white-space: unset !important;
}

.grid-reduced-cell-padding .k-table-td {
    padding-top: .2rem !important;
    padding-bottom: .2rem !important;
}

.k-animation-container.telerik-tooltip {
    pointer-events: none !important;
}

.k-svg-icon {
    width: 16px !important; /* This style isn't applying by default so we make it important here. */
}

.rs-mobile-grid .k-pager {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

/* Don't display the footer area if no footer is present */
.rs-modal-dialog.no-footer .k-window-actions {
    display: none !important;
}

/* Remove extra padding in footer */
.rs-modal-dialog .k-window-actions {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    border-width: 0 !important;
}